Package com.mckoi.database

## Class ParameterSubstitution

- java.lang.Object
- - com.mckoi.database.ParameterSubstitution

All Implemented Interfaces:
  `java.io.Serializable`

    public class ParameterSubstitution
    extends java.lang.Object
    implements java.io.Serializable

An object that represents a constant value that is to be lately binded to a constant value in an Expression. This is used when we have ? style prepared statement values. This object is used as a marker in the elements of a expression.

Author:
  Tobias Downer
See Also:
  Serialized Form

### Constructor Summary

Constructors
`ParameterSubstitution​(int parameter_id)` Creates the substitution.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object ob)` Equality test.
`int` `getID()` Returns the number of this parameter id.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParameterSubstitution

    public ParameterSubstitution​(int parameter_id)

Creates the substitution.

### Method Detail

#### getID

    public int getID()

Returns the number of this parameter id.

#### equals

    public boolean equals​(java.lang.Object ob)

Equality test.

Overrides:
  `equals` in class `java.lang.Object`